-- COMBAT_LOG_EVENT_UNFILTERED
function(allstates, e, ...)
    local iconDisplayDuration = 0.5
    
    local se = select(2, ...)
    if (se ~= "SPELL_AURA_APPLIED") then return end
    local target = select(9, ...)
    if (target ~= UnitName("player")) then return end
    local auraType = select(15, ...)
    if (auraType ~= "DEBUFF") then return end
    local spellId = select(12, ...)
    print(select(3, GetSpellInfo(spellId)))
    allstates[spellId] = {
        show = true,
        changed = true,
        index = GetTime(),
        resort = true,

        icon = select(3, GetSpellInfo(spellId)),
        name = select(13, ...),

        progressType = "timed",
        expirationTime = GetTime() + iconDisplayDuration,
        duration = iconDisplayDuration,
        autoHide = true,
    }
    return true
end